annotate contrib/compare_tests @ 131:84e7813d76e9

gcc-8.2
author mir3636
date Thu, 25 Oct 2018 07:37:49 +0900
parents 04ced10e8804
children
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
rev   line source
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
1 #!/bin/sh
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
2 # This script automatically test the given tool with the tool's test cases,
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
3 # reporting anything of interest.
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
4
111
kono
parents: 0
diff changeset
5 # Written by Mike Stump <mrs@cygnus.com>
kono
parents: 0
diff changeset
6 # Subdir comparison added by Quentin Neill <quentin.neill@amd.com>
kono
parents: 0
diff changeset
7
kono
parents: 0
diff changeset
8 usage()
kono
parents: 0
diff changeset
9 {
kono
parents: 0
diff changeset
10 if [ -n "$1" ] ; then
kono
parents: 0
diff changeset
11 echo "$0: Error: $1" >&2
kono
parents: 0
diff changeset
12 echo >&2
kono
parents: 0
diff changeset
13 fi
kono
parents: 0
diff changeset
14 cat >&2 <<EOUSAGE
kono
parents: 0
diff changeset
15 Usage: $0 [-strict] PREVIOUS CURRENT
kono
parents: 0
diff changeset
16
kono
parents: 0
diff changeset
17 Compare the PREVIOUS and CURRENT test case .sum files, reporting anything of interest.
kono
parents: 0
diff changeset
18
kono
parents: 0
diff changeset
19 If PREVIOUS and CURRENT are directories, find and compare any *.sum files.
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
20
111
kono
parents: 0
diff changeset
21 Unless -strict is given, these discrepancies are not counted as errors:
kono
parents: 0
diff changeset
22 missing/extra .sum files when comparing directories
kono
parents: 0
diff changeset
23 tests that failed in PREVIOUS but pass in CURRENT
kono
parents: 0
diff changeset
24 tests that were not in PREVIOUS but appear in CURRENT
kono
parents: 0
diff changeset
25 tests in PREVIOUS that are missing in CURRENT
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
26
111
kono
parents: 0
diff changeset
27 Exit with the following values:
kono
parents: 0
diff changeset
28 0 if there is nothing of interest
kono
parents: 0
diff changeset
29 1 if there are errors when comparing single test case files
kono
parents: 0
diff changeset
30 N for the number of errors found when comparing directories
kono
parents: 0
diff changeset
31 EOUSAGE
kono
parents: 0
diff changeset
32 exit 2
kono
parents: 0
diff changeset
33 }
kono
parents: 0
diff changeset
34
kono
parents: 0
diff changeset
35 export LC_ALL=C
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
36
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
37 tool=gxx
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
38
131
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
39 TMPDIR=${TMPDIR:-/tmp}
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
40 tmp1=$TMPDIR/$tool-testing.$$a
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
41 tmp2=$TMPDIR/$tool-testing.$$b
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
42 now_s=$TMPDIR/$tool-testing.$$d
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
43 before_s=$TMPDIR/$tool-testing.$$e
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
44 lst1=$TMPDIR/$tool-lst1.$$
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
45 lst2=$TMPDIR/$tool-lst2.$$
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
46 lst3=$TMPDIR/$tool-lst3.$$
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
47 lst4=$TMPDIR/$tool-lst4.$$
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
48 lst5=$TMPDIR/$tool-lst5.$$
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
49 sum1=$TMPDIR/$tool-sum1.$$
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
50 sum2=$TMPDIR/$tool-sum2.$$
111
kono
parents: 0
diff changeset
51 tmps="$tmp1 $tmp2 $now_s $before_s $lst1 $lst2 $lst3 $lst4 $lst5 $sum1 $sum2"
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
52
111
kono
parents: 0
diff changeset
53 [ "$1" = "-strict" ] && strict=$1 && shift
kono
parents: 0
diff changeset
54 [ "$1" = "-?" ] && usage
kono
parents: 0
diff changeset
55 [ "$2" = "" ] && usage "Must specify both PREVIOUS and CURRENT"
kono
parents: 0
diff changeset
56
kono
parents: 0
diff changeset
57 trap "rm -f $tmps" 0 1 2 3 5 9 13 15
kono
parents: 0
diff changeset
58 exit_status=0
kono
parents: 0
diff changeset
59
kono
parents: 0
diff changeset
60 if [ -d "$1" -a -d "$2" ] ; then
kono
parents: 0
diff changeset
61 find "$1/" -name '*.sum' >$lst1
kono
parents: 0
diff changeset
62 find "$2/" -name '*.sum' >$lst2
kono
parents: 0
diff changeset
63 echo "# Comparing directories"
kono
parents: 0
diff changeset
64 echo "## Dir1=$1: `cat $lst1 | wc -l` sum files"
kono
parents: 0
diff changeset
65 echo "## Dir2=$2: `cat $lst2 | wc -l` sum files"
kono
parents: 0
diff changeset
66 echo
kono
parents: 0
diff changeset
67 # remove leading directory components to compare
kono
parents: 0
diff changeset
68 sed -e "s|^$1[/]*||" $lst1 | sort >$lst3
kono
parents: 0
diff changeset
69 sed -e "s|^$2[/]*||" $lst2 | sort >$lst4
kono
parents: 0
diff changeset
70 comm -23 $lst3 $lst4 >$lst5
kono
parents: 0
diff changeset
71 if [ -s $lst5 ] ; then
kono
parents: 0
diff changeset
72 echo "# Extra sum files in Dir1=$1"
kono
parents: 0
diff changeset
73 sed -e "s|^|< $1/|" $lst5
kono
parents: 0
diff changeset
74 echo
kono
parents: 0
diff changeset
75 [ -n "$strict" ] && exit_status=`expr $exit_status + 1`
kono
parents: 0
diff changeset
76 fi
kono
parents: 0
diff changeset
77 comm -13 $lst3 $lst4 >$lst5
kono
parents: 0
diff changeset
78 if [ -s $lst5 ] ; then
kono
parents: 0
diff changeset
79 echo "# Extra sum files in Dir2=$2"
kono
parents: 0
diff changeset
80 sed -e "s|^|> $2/|" $lst5
kono
parents: 0
diff changeset
81 echo
kono
parents: 0
diff changeset
82 [ -n "$strict" ] && exit_status=`expr $exit_status + 1`
kono
parents: 0
diff changeset
83 fi
kono
parents: 0
diff changeset
84 comm -12 $lst3 $lst4 | sort -u >$lst5
kono
parents: 0
diff changeset
85 if [ ! -s $lst5 ] ; then
kono
parents: 0
diff changeset
86 echo "# No common sum files"
kono
parents: 0
diff changeset
87 exit_status=`expr $exit_status + 1`
kono
parents: 0
diff changeset
88 exit $exit_status
kono
parents: 0
diff changeset
89 fi
kono
parents: 0
diff changeset
90 cmnsums=`cat $lst5 | wc -l`
kono
parents: 0
diff changeset
91 echo "# Comparing $cmnsums common sum files"
kono
parents: 0
diff changeset
92 ( for fname in `cat $lst5`; do cat $1/$fname; done ) >$sum1
kono
parents: 0
diff changeset
93 ( for fname in `cat $lst5`; do cat $2/$fname; done ) >$sum2
kono
parents: 0
diff changeset
94 echo "## ${CONFIG_SHELL-/bin/sh} $0 $strict $sum1 $sum2"
kono
parents: 0
diff changeset
95 ${CONFIG_SHELL-/bin/sh} $0 $strict $sum1 $sum2
kono
parents: 0
diff changeset
96 ret=$?
kono
parents: 0
diff changeset
97 if [ $ret -ne 0 ]; then
kono
parents: 0
diff changeset
98 exit_status=`expr $exit_status + 1`
kono
parents: 0
diff changeset
99 echo "## Differences found: $fname"
kono
parents: 0
diff changeset
100 fi
kono
parents: 0
diff changeset
101 if [ $exit_status -ne 0 ]; then
kono
parents: 0
diff changeset
102 echo "# $exit_status differences in $cmnsums common sum files found"
kono
parents: 0
diff changeset
103 else
kono
parents: 0
diff changeset
104 echo "# No differences found in $cmnsums common sum files"
kono
parents: 0
diff changeset
105 fi
kono
parents: 0
diff changeset
106 exit $exit_status
kono
parents: 0
diff changeset
107 elif [ -d "$1" -o -d "$2" ] ; then
kono
parents: 0
diff changeset
108 usage "Must specify either two directories or two files"
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
109 fi
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
110
111
kono
parents: 0
diff changeset
111 sed 's/^XFAIL/FAIL/; s/^ERROR/FAIL/; s/^XPASS/PASS/' < "$1" | awk '/^Running target / {target = $3} { if (target != "unix") { sub(/: /, "&"target": " ); }; print $0; }' | cut -c1-2000 >$tmp1
kono
parents: 0
diff changeset
112 sed 's/^XFAIL/FAIL/; s/^ERROR/FAIL/; s/^XPASS/PASS/' < "$2" | awk '/^Running target / {target = $3} { if (target != "unix") { sub(/: /, "&"target": " ); }; print $0; }' | cut -c1-2000 >$tmp2
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
113
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
114 before=$tmp1
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
115 now=$tmp2
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
116
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
117
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
118 if sort -k 2 </dev/null >/dev/null 2>&1; then
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
119 skip1='-k 2'
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
120 else
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
121 skip1='+1'
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
122 fi
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
123
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
124 sort -t ':' $skip1 "$now" > "$now_s"
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
125 sort -t ':' $skip1 "$before" > "$before_s"
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
126
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
127 grep '^FAIL:' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
128 grep '^PASS' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -12 $tmp1 - >$tmp2
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
129
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
130 grep -s . $tmp2 >/dev/null
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
131 if [ $? = 0 ]; then
131
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
132 num=`cat $tmp2 | wc -l`
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
133 echo "Tests that now fail, but worked before ($num tests):"
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
134 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
135 cat $tmp2
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
136 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
137 exit_status=1
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
138 fi
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
139
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
140 grep '^PASS' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
141 grep '^FAIL' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -12 $tmp1 - >$tmp2
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
142
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
143 grep -s . $tmp2 >/dev/null
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
144 if [ $? = 0 ]; then
131
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
145 num=`cat $tmp2 | wc -l`
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
146 echo "Tests that now work, but didn't before ($num tests):"
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
147 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
148 cat $tmp2
111
kono
parents: 0
diff changeset
149 [ -n "$strict" ] && echo "Strict test fails" && exit_status=1
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
150 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
151 fi
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
152
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
153 grep '^FAIL' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
154 grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -23 $tmp1 - >$tmp2
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
155
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
156 grep -s . $tmp2 >/dev/null
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
157 if [ $? = 0 ]; then
131
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
158 num=`cat $tmp2 | wc -l`
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
159 echo "New tests that FAIL ($num tests):"
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
160 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
161 cat $tmp2
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
162 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
163 exit_status=1
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
164 fi
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
165
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
166 grep '^PASS' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
167 grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -23 $tmp1 - >$tmp2
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
168
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
169 grep -s . $tmp2 >/dev/null
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
170 if [ $? = 0 ]; then
131
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
171 num=`cat $tmp2 | wc -l`
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
172 echo "New tests that PASS ($num tests):"
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
173 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
174 cat $tmp2
111
kono
parents: 0
diff changeset
175 [ -n "$strict" ] && echo "Strict test fails" && exit_status=1
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
176 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
177 fi
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
178
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
179 grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
180 grep '^PASS' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -13 $tmp1 - >$tmp2
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
181
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
182 grep -s . $tmp2 >/dev/null
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
183 if [ $? = 0 ]; then
131
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
184 num=`cat $tmp2 | wc -l`
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
185 echo "Old tests that passed, that have disappeared ($num tests): (Eeek!)"
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
186 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
187 cat $tmp2
111
kono
parents: 0
diff changeset
188 [ -n "$strict" ] && echo "Strict test fails" && exit_status=1
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
189 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
190 fi
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
191
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
192 grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
193 grep '^FAIL' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -13 $tmp1 - >$tmp2
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
194
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
195 grep -s . $tmp2 >/dev/null
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
196 if [ $? = 0 ]; then
131
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
197 num=`cat $tmp2 | wc -l`
84e7813d76e9 gcc-8.2
mir3636
parents: 111
diff changeset
198 echo "Old tests that failed, that have disappeared ($num tests): (Eeek!)"
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
199 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
200 cat $tmp2
111
kono
parents: 0
diff changeset
201 [ -n "$strict" ] && echo "Strict test fails" && exit_status=1
0
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
202 echo
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
203 fi
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
204
a06113de4d67 first commit
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
diff changeset
205 exit $exit_status